Package com.sap.ai.sdk.core.model

# Class BckndServiceServiceCatalogItemExtendCatalog

java.lang.Object
com.sap.ai.sdk.core.model.BckndServiceServiceCatalogItemExtendCatalog

public class BckndServiceServiceCatalogItemExtendCatalog extends Object
BckndServiceServiceCatalogItemExtendCatalog

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndServiceServiceCatalogItemExtendCatalog()`
  Default constructor for BckndServiceServiceCatalogItemExtendCatalog.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndServiceServiceCatalogItemExtendCatalog`
  `addPlansItem(BckndServiceServicePlanItem plansItem)`
  Add one plans instance to this `BckndServiceServiceCatalogItemExtendCatalog`.
  `BckndServiceServiceCatalogItemExtendCatalog`
  `bindable(Boolean bindable)`
  Set the bindable of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
  `static BckndServiceServiceCatalogItemExtendCatalog`
  `create()`
  Create a new `BckndServiceServiceCatalogItemExtendCatalog` instance.
  `BckndServiceServiceCatalogItemExtendCatalog`
  `description(String description)`
  Set the description of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndServiceServiceCatalogItemExtendCatalog`.
  `String`
  `getDescription()`
  description of the service
  `String`
  `getId()`
  id of the service
  `String`
  `getName()`
  name of the service
  `List<BckndServiceServicePlanItem>`
  `getPlans()`
  Get plans
  `int`
  `hashCode()`
  `BckndServiceServiceCatalogItemExtendCatalog`
  `id(String id)`
  Set the id of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
  `Boolean`
  `isBindable()`
  if the service is bindable
  `BckndServiceServiceCatalogItemExtendCatalog`
  `name(String name)`
  Set the name of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
  `BckndServiceServiceCatalogItemExtendCatalog`
  `plans(List<BckndServiceServicePlanItem> plans)`
  Set the plans of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
  `void`
  `setBindable(Boolean bindable)`
  Set the bindable of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
  `void`
  `setDescription(String description)`
  Set the description of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
  `void`
  `setId(String id)`
  Set the id of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
  `void`
  `setName(String name)`
  Set the name of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
  `void`
  `setPlans(List<BckndServiceServicePlanItem> plans)`
  Set the plans of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndServiceServiceCatalogItemExtendCatalog` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndServiceServiceCatalogItemExtendCatalog

    protected BckndServiceServiceCatalogItemExtendCatalog()
    Default constructor for BckndServiceServiceCatalogItemExtendCatalog.

- ## Method Details

  - ### bindable

    @Nonnull public BckndServiceServiceCatalogItemExtendCatalog bindable(@Nullable Boolean bindable)
    Set the bindable of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
    Parameters:
      `bindable` - if the service is bindable
    Returns:
      The same instance of this `BckndServiceServiceCatalogItemExtendCatalog` class

  - ### isBindable

    @Nonnull public Boolean isBindable()
    if the service is bindable
    Returns:
      bindable The bindable of this `BckndServiceServiceCatalogItemExtendCatalog` instance.

  - ### setBindable

    public void setBindable(@Nullable Boolean bindable)
    Set the bindable of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
    Parameters:
      `bindable` - if the service is bindable

  - ### description

    @Nonnull public BckndServiceServiceCatalogItemExtendCatalog description(@Nullable String description)
    Set the description of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
    Parameters:
      `description` - description of the service
    Returns:
      The same instance of this `BckndServiceServiceCatalogItemExtendCatalog` class

  - ### getDescription

    @Nonnull public String getDescription()
    description of the service
    Returns:
      description The description of this `BckndServiceServiceCatalogItemExtendCatalog` instance.

  - ### setDescription

    public void setDescription(@Nullable String description)
    Set the description of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
    Parameters:
      `description` - description of the service

  - ### id

    @Nonnull public BckndServiceServiceCatalogItemExtendCatalog id(@Nullable String id)
    Set the id of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
    Parameters:
      `id` - id of the service
    Returns:
      The same instance of this `BckndServiceServiceCatalogItemExtendCatalog` class

  - ### getId

    @Nonnull public String getId()
    id of the service
    Returns:
      id The id of this `BckndServiceServiceCatalogItemExtendCatalog` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
    Parameters:
      `id` - id of the service

  - ### name

    @Nonnull public BckndServiceServiceCatalogItemExtendCatalog name(@Nullable String name)
    Set the name of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
    Parameters:
      `name` - name of the service
    Returns:
      The same instance of this `BckndServiceServiceCatalogItemExtendCatalog` class

  - ### getName

    @Nonnull public String getName()
    name of the service
    Returns:
      name The name of this `BckndServiceServiceCatalogItemExtendCatalog` instance.

  - ### setName

    public void setName(@Nullable String name)
    Set the name of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
    Parameters:
      `name` - name of the service

  - ### plans

    @Nonnull public BckndServiceServiceCatalogItemExtendCatalog plans(@Nullable List<BckndServiceServicePlanItem> plans)
    Set the plans of this `BckndServiceServiceCatalogItemExtendCatalog` instance and return the same instance.
    Parameters:
      `plans` - The plans of this `BckndServiceServiceCatalogItemExtendCatalog`
    Returns:
      The same instance of this `BckndServiceServiceCatalogItemExtendCatalog` class

  - ### addPlansItem

    @Nonnull public BckndServiceServiceCatalogItemExtendCatalog addPlansItem(@Nonnull BckndServiceServicePlanItem plansItem)
    Add one plans instance to this `BckndServiceServiceCatalogItemExtendCatalog`.
    Parameters:
      `plansItem` - The plans that should be added
    Returns:
      The same instance of type `BckndServiceServiceCatalogItemExtendCatalog`

  - ### getPlans

    @Nonnull public List<BckndServiceServicePlanItem> getPlans()
    Get plans
    Returns:
      plans The plans of this `BckndServiceServiceCatalogItemExtendCatalog` instance.

  - ### setPlans

    public void setPlans(@Nullable List<BckndServiceServicePlanItem> plans)
    Set the plans of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
    Parameters:
      `plans` - The plans of this `BckndServiceServiceCatalogItemExtendCatalog`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndServiceServiceCatalogItemExtendCatalog`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndServiceServiceCatalogItemExtendCatalog` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndServiceServiceCatalogItemExtendCatalog` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndServiceServiceCatalogItemExtendCatalog` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndServiceServiceCatalogItemExtendCatalog create()
    Create a new `BckndServiceServiceCatalogItemExtendCatalog` instance. No arguments are required.